#
# Conditional build:
%bcond_without	ldap	# without LDAP map module
%bcond_without	mysql	# without MySQL map module
%bcond_without	pgsql	# without PostgreSQL map module
%bcond_without	sqlite	# without SQLite map module
%bcond_without	sasl	# without SMTP AUTH support
%bcond_without	ssl	# without SSL/TLS support
%bcond_without	cdb	# without cdb map support
%bcond_without	lmdb	# lmdb map suppor
%bcond_without	epoll	# disable epoll for 2.4 kernels

Summary:	Postfix Mail Transport Agent
Summary(cs.UTF-8):	Postfix - program pro přepravu pošty (MTA)
Summary(es.UTF-8):	Postfix - Un MTA (Mail Transport Agent) de alto desempeño
Summary(fr.UTF-8):	Agent de transport de courrier Postfix
Summary(pl.UTF-8):	Serwer SMTP Postfix
Summary(pt_BR.UTF-8):	Postfix - Um MTA (Mail Transport Agent) de alto desempenho
Summary(sk.UTF-8):	Agent prenosu pošty Postfix
Name:		postfix
Version:	3.10.0
Release:	1%{?tld}
Epoch:		2
License:	distributable
Group:		Networking/Daemons/SMTP
Source0:	ftp://ftp.porcupine.org/mirrors/postfix-release/official/%{name}-%{version}.tar.gz
# Source0-md5:	cfd1ea453df07acdec6bcff586bb604c
Source1:	%{name}.aliases
Source2:	%{name}.cron
Source3:	%{name}.init
Source4:	%{name}.sysconfig
Source5:	%{name}.sasl
Source6:	%{name}.pamd
Source7:	%{name}-bounce.cf.pl
# http://postfix.state-of-mind.de/bounce-templates/bounce.de-DE.cf
Source8:	%{name}-bounce.cf.de
Source9:	%{name}.monitrc
# -ource11-md5:	d46103195b43ec5784ea2c166b238f71
Patch0:		%{name}-config.patch
Patch1:		%{name}-conf_msg.patch
Patch2:		%{name}-master.cf_cyrus.patch
Patch3:		%{name}-conf.patch
Patch4:		%{name}-link.patch
Patch5:		%{name}-scache_clnt.patch
URL:		http://www.postfix.org/
%{?with_sasl:BuildRequires:	cyrus-sasl-devel}
BuildRequires:	db-devel
# getifaddrs() with IPv6 support
BuildRequires:	glibc-devel >= 6:2.3.4
%{?with_lmdb:BuildRequires:	lmdb-devel}
BuildRequires:	libnsl-devel >= 1.3.0
%{?with_mysql:BuildRequires:	mysql-devel}
%{?with_ldap:BuildRequires:	openldap-devel >= 2.0.12}
%{?with_ssl:BuildRequires:	openssl-devel >= 0.9.7l}
BuildRequires:	pcre-devel
BuildRequires:	perl-base
%{?with_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.644
BuildRequires:	sed >= 4.0
%{?with_sqlite:BuildRequires:	sqlite3-devel}
%{?with_cdb:BuildRequires:	tinycdb-devel}
%{?with_mysql:BuildRequires:	zlib-devel}
Requires(post):	/bin/hostname
Requires(post,postun):	/sbin/ldconfig
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	/sbin/chkconfig
Requires:	diffutils
Requires:	findutils
Requires:	rc-scripts
Requires:	sed
%{?with_cdb:Requires:tinycdb}
Suggests:	cyrus-sasl-saslauthd
Provides:	group(postfix)
Provides:	smtpdaemon
Provides:	user(postfix)
Obsoletes:	smtpdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Postfix is attempt to provide an alternative to the widely-used
Sendmail program. Postfix attempts to be fast, easy to administer, and
hopefully secure, while at the same time being sendmail compatible
enough to not upset your users. This version has IPv6 support.

%description -l es.UTF-8
Postfix es una alternativa para el mundialmente utilizado sendmail. Si
desea tener un servidor SMTP *rápido*, debe instalar este paquete.

%description -l fr.UTF-8
Postfix (voir http://www.postfix.org/) se veut une alternative à
sendmail, responsable de l'acheminement de 70% des courriers
électroniques sur Internet. IBM en a suppotré le développement, mais
ne contrôle pas son évolution. Le but est d'installer Postfix sur le
plus grand nombre de systèmes possible. Dans cette optique, il a été
écrit pour être totalement sous le contrôle de l'utilisateur.

%description -l it.UTF-8
Postfix (http://www.postfix.org/) e' un'alternativa al programma
sendmail utilizzato per la gestione del 70 per cento della posta
Internet.

Seppur IBM supporti lo sviluppo di Postfix, non controlla la sua
evoluzione.

Consultate la pagine web http://www.moongroup.com/how-to.phtml nella
quale troverete le indicazioni per una corretta installazione e
configurazione di questo programma.

%description -l pl.UTF-8
Postfix jest próbą dostarczenia alternatywnego MTA w stosunku do
szeroko używanego sendmaila. Postfix w zamierzeniu ma być szybki,
łatwy w administrowaniu, bezpieczny oraz ma być na tyle kompatybilny z
sendmailem by nie denerwować użytkowników. Ta wersja obsługuje IPv6.

%description -l pt_BR.UTF-8
O Postfix é uma alternativa para o mundialmente utilizado sendmail. Se
você deseja um servidor SMTP *rápido*, instale este pacote.

%description -l sk.UTF-8
Postfix (pozri http://www.postfix.org/) má za cieľ byť alternatívou k
široko rozšírenému programu sendmail, zodpovednému za 70% všetkej
elektronickej pošty doručenej na Internete.

Aj keď IBM podporovala vývoj Postfixu, zdržiava sa vplyvu na jeho
vývoj. Cieľom je inštalácia Postfixu na čo najväčšom počte systémov.
Do tohoto momentu je softvér poskytovaný bez ovplyvňovania, takže sa
môže vyvíjať podľa jeho používateľov.

Určite si prečítajte http://www.moongroup.com/how-to.phtml, kde sú
popísané kroky potrebné pred a po inštalácii Postfixu.

%package devel
Summary:	Postfix loadable modules development package
Summary(pl.UTF-8):	Pakiet dla programistów ładowanych modułów do postfiksa
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files to build additional map types for Postfix.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia dodatkowych typów map dla Postfiksa.

%package dict-cdb
Summary:	CDB map support for Postfix
Summary(pl.UTF-8):	Obsługa map CDB dla Postfiksa
Group:		Networking/Daemons/SMTP
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dict-cdb
This package provides support for CDB maps in Postfix.

%description dict-cdb -l pl.UTF-8
Ten pakiet dodaje obsługę map CDB do Postfiksa.

%package dict-ldap
Summary:	LDAP map support for Postfix
Summary(pl.UTF-8):	Obsługa map LDAP dla Postfiksa
Group:		Networking/Daemons/SMTP
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	openldap >= 2.3.6

%description dict-ldap
This package provides support for LDAP maps in Postfix.

%description dict-ldap -l pl.UTF-8
Ten pakiet dodaje obsługę map LDAP do Postfiksa.

%package dict-lmdb
Summary:	LMDB map support for Postfix
Summary(pl.UTF-8):	Obsługa map LMDB dla Postfiksa
Group:		Networking/Daemons/SMTP
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dict-lmdb
This package provides support for LMDB maps in Postfix.

%description dict-lmdb -l pl.UTF-8
Ten pakiet dodaje obsługę map LMDB do Postfiksa.

%package dict-mysql
Summary:	MySQL map support for Postfix
Summary(pl.UTF-8):	Obsługa map MySQL dla Postfiksa
Group:		Networking/Daemons/SMTP
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dict-mysql
This package provides support for MySQL maps in Postfix.

%description dict-mysql -l pl.UTF-8
Ten pakiet dodaje obsługę map MySQL do Postfiksa.

%package dict-pcre
Summary:	PCRE map support for Postfix
Summary(pl.UTF-8):	Obsługa map PCRE dla Postfiksa
Group:		Networking/Daemons/SMTP
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dict-pcre
This package provides support for PCRE maps in Postfix.

%description dict-pcre -l pl.UTF-8
Ten pakiet dodaje obsługę map PCRE do Postfiksa.

%package dict-pgsql
Summary:	PostgreSQL map support for Postfix
Summary(pl.UTF-8):	Obsługa map PostgreSQL dla Postfiksa
Group:		Networking/Daemons/SMTP
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dict-pgsql
This package provides support for PostgreSQL maps in Postfix.

%description dict-pgsql -l pl.UTF-8
Ten pakiet dodaje obsługę map PostgreSQL do Postfiksa.

%package dict-sqlite
Summary:	SQLite map support for Postfix
Summary(pl.UTF-8):	Obsługa map SQLite dla Postfiksa
Group:		Networking/Daemons/SMTP
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description dict-sqlite
This package provides support for SQLite maps in Postfix.

%description dict-sqlite -l pl.UTF-8
Ten pakiet dodaje obsługę map SQLite do Postfiksa.

%package qshape
Summary:	qshape - Print Postfix queue domain and age distribution
Summary(pl.UTF-8):	qshape - wypisywanie rozkładu domen i wieku z kolejki Postfiksa
Group:		Networking/Daemons/SMTP
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description qshape
The qshape program helps the administrator understand the Postfix
queue message distribution in time and by sender domain or recipient
domain. The program needs read access to the queue directories and
queue files, so it must run as the superuser or the mail_owner
specified in main.cf (typically postfix).

%description qshape -l pl.UTF-8
Program qshape pomaga administratorowi zrozumieć rozkład kolejki
wiadomości Postfiksa w czasie i w zależności od domeny nadawcy lub
adresata. Program wymaga prawa odczytu do katalogów kolejki i plików
kolejki, więc musi być uruchamiany przez superużytkownika lub
użytkownika mail_owner podanego w main.cf (zwykle nazywającego się
postfix).

%package -n monit-rc-%{name}
Summary:	monit support for Postfix
Summary(pl.UTF-8):	Wsparcie monita dla Postfiksa
Group:		Applications/System
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	monit

%description -n monit-rc-%{name}
monitrc file for monitoring Postfix.

%description -n monit-rc-%{name} -l pl.UTF-8
Plik monitrc do monitorowania serwera Postfix.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
sed -i '/scache_clnt_create/s/server/var_scache_service/' src/global/scache_clnt.c
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
# export, as the same variables must be passed both to 'make makefiles' and 'make'
export CCARGS="%{!?with_epoll:-DNO_EPOLL} %{?with_ldap:-DHAS_LDAP} -DHAS_PCRE %{?with_sasl:-DUSE_SASL_AUTH -DUSE_CYRUS_SASL -I/usr/include/sasl} %{?with_mysql:-DHAS_MYSQL -I/usr/include/mysql} %{?with_pgsql:-DHAS_PGSQL} %{?with_ssl:-DUSE_TLS} -DMAX_DYNAMIC_MAPS %{?with_cdb:-DHAS_CDB} %{?with_sqlite:-DHAS_SQLITE} %{?with_lmdb:-DHAS_LMDB} -LHAS_SDBM"
export AUXLIBS="%{rpmldflags} -lsasl -lssl -lcrypto"
export AUXLIBS_CDB="%{?with_cdb:-lcdb}"
export AUXLIBS_LDAP="%{?with_ldap:-lldap -llber}"
export AUXLIBS_LMDB="%{?with_lmdb:-llmdb}"
export AUXLIBS_MYSQL="%{?with_mysql:-lmysqlclient}"
export AUXLIBS_PCRE="-lpcre"
export AUXLIBS_PGSQL="%{?with_pgsql:-lpq}"
export AUXLIBS_SQLITE="%{?with_sqlite:-lsqlite3}"

export CC="%{__cc}"
%{__make} makefiles \
    shared=yes \
    dynamicmaps=yes \
    daemon_directory="%{_libdir}/postfix/sbin" \
    shlib_directory="%{_libdir}/postfix" \
    manpage_directory="%{_mandir}"

%{__make} -j1 \
    DEBUG="" \
    OPT="%{rpmcflags} %{rpmcppflags} -D_FILE_OFFSET_BITS=64"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{cron.daily,rc.d/init.d,sysconfig,pam.d,security,monit} \
	$RPM_BUILD_ROOT%{_sysconfdir}/{postfix,sasl} \
	$RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_libdir}/postfix/sbin,/usr/lib}\
	$RPM_BUILD_ROOT{%{_includedir}/postfix,%{_mandir}} \
	$RPM_BUILD_ROOT%{_var}/spool/postfix/{active,corrupt,deferred,maildrop,private,saved,bounce,defer,incoming,pid,public} \
	$RPM_BUILD_ROOT%{_var}/lib/postfix

%{__make} non-interactive-package \
	install_root=$RPM_BUILD_ROOT

cp -a include/*.h $RPM_BUILD_ROOT%{_includedir}/postfix

cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/postfix/aliases
install -p %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.daily/postfix
install %{SOURCE3} $RPM_BUILD_ROOT/etc/rc.d/init.d/postfix
cp -a %{SOURCE4} $RPM_BUILD_ROOT/etc/sysconfig/postfix
cp -a %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/sasl/smtpd.conf
cp -a %{SOURCE6} $RPM_BUILD_ROOT/etc/pam.d/smtp
cp -a %{SOURCE7} $RPM_BUILD_ROOT%{_sysconfdir}/postfix/bounce.cf.pl
cp -a %{SOURCE8} $RPM_BUILD_ROOT%{_sysconfdir}/postfix/bounce.cf.de
cp -a %{SOURCE9} $RPM_BUILD_ROOT/etc/monit/%{name}.monitrc
install -p auxiliary/rmail/rmail $RPM_BUILD_ROOT%{_bindir}/rmail
install -p auxiliary/qshape/qshape.pl $RPM_BUILD_ROOT%{_bindir}/qshape
install -p man/man1/qshape.1 $RPM_BUILD_ROOT%{_mandir}/man1

ln -sf %{_sbindir}/sendmail $RPM_BUILD_ROOT%{_bindir}/mailq
ln -sf %{_sbindir}/sendmail $RPM_BUILD_ROOT%{_bindir}/newaliases
ln -sf %{_sbindir}/sendmail $RPM_BUILD_ROOT/usr/lib/sendmail

touch $RPM_BUILD_ROOT%{_sysconfdir}/postfix/\
	{aliases,access,canonical,relocated,transport,virtual}{,.db}

touch $RPM_BUILD_ROOT/etc/security/blacklist.smtp

> $RPM_BUILD_ROOT/var/spool/postfix/.nofinger

%{__rm} -rf $RPM_BUILD_ROOT%{_sysconfdir}/postfix/{makedefs.out,main.cf.default}
%{__rm} -f $RPM_BUILD_ROOT%{_sysconfdir}/postfix/{,TLS_}LICENSE

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 62 postfix
%groupadd -g 63 maildrop
%useradd -u 62 -d /var/spool/postfix -s /bin/false -c "Postfix User" -g postfix postfix

%post
/sbin/ldconfig
if ! grep -q "^postmaster:" %{_sysconfdir}/postfix/aliases; then
	echo "Adding Entry for postmaster in %{_sysconfdir}/postfix/aliases" >&2
	echo "postmaster: root" >>%{_sysconfdir}/postfix/aliases
fi
if [ "$1" = "1" ]; then
	# only on installation, not upgrade; set sane defaults
	# postfix expects gethostname() to return FQDN, which is obviously wrong
	if ! grep -qE "^my(domain|hostname)" %{_sysconfdir}/postfix/main.cf; then
		domain=$(/bin/hostname -d 2>/dev/null)
		[ -n "$domain" -a "$domain" != 'localdomain' ] && \
			postconf -e mydomain="$domain"
	fi
else
	%{_sbindir}/postfix upgrade-configuration
fi

%{_bindir}/newaliases
/sbin/chkconfig --add postfix
%service postfix restart "Postfix Daemon"

%preun
if [ "$1" = "0" ]; then
	%service postfix stop
	/sbin/chkconfig --del postfix
fi

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
	%groupremove maildrop
	%userremove postfix
	%groupremove postfix
fi

%triggerun -- %{name} < 2:3.8.0-1
if [ $1 -le 1 ]; then
        exit 0
fi
[ -f "/etc/postfix/main.cf" ] && sed -i -e 's,^daemon_directory = .*,daemon_directory = %{_libdir}/postfix/sbin,' /etc/postfix/main.cf 2>/dev/null || :

%triggerpostun -- %{name} < 2:3.8.0-1
echo
echo "Warning! Option daemon_directory in file /etc/postfix/main.cf was set to"
echo "path %{_libdir}/postfix/sbin."
echo

%files
%defattr(644,root,root,755)
%doc html COMPATIBILITY HISTORY LICENSE RELEASE_NOTES* TLS_*
%doc README_FILES/*README
%doc examples/smtpd-policy
%dir %{_sysconfdir}/postfix
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/postfix/access
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/postfix/aliases
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/postfix/bounce.cf.default
%lang(de) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/postfix/bounce.cf.de
%lang(pl) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/postfix/bounce.cf.pl
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/postfix/canonical
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/postfix/generic
#%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/postfix/regexp_table
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/postfix/relocated
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/postfix/transport
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/postfix/virtual
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/postfix/header_checks
#%ghost %{_sysconfdir}/postfix/*.db
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/postfix/dynamicmaps.cf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/postfix/main.cf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/postfix/main.cf.proto
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/postfix/master.cf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/postfix/master.cf.proto
%{_sysconfdir}/postfix/postfix-files
%attr(740,root,root) /etc/cron.daily/postfix
%attr(754,root,root) /etc/rc.d/init.d/postfix
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/postfix
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/smtp
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.smtp
%{?with_sasl:%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/sasl/smtpd.conf}
%attr(755,root,root) %{_bindir}/mailq
%attr(755,root,root) %{_bindir}/newaliases
%attr(755,root,root) %{_bindir}/rmail
%attr(755,root,root) %{_sbindir}/postalias
%attr(755,root,root) %{_sbindir}/postcat
%attr(755,root,root) %{_sbindir}/postconf
%attr(2755,root,maildrop) %{_sbindir}/postdrop
%attr(755,root,root) %{_sbindir}/postfix
%attr(755,root,root) %{_sbindir}/postkick
%attr(755,root,root) %{_sbindir}/postlock
%attr(755,root,root) %{_sbindir}/postlog
%attr(755,root,root) %{_sbindir}/postmap
%attr(755,root,root) %{_sbindir}/postmulti
%attr(2755,root,maildrop) %{_sbindir}/postqueue
%attr(755,root,root) %{_sbindir}/postsuper
%attr(755,root,root) %{_sbindir}/sendmail
%attr(755,root,root) /usr/lib/sendmail
%dir %{_libdir}/postfix
%attr(755,root,root) %{_libdir}/postfix/libpostfix-dns.so
%attr(755,root,root) %{_libdir}/postfix/libpostfix-global.so
%attr(755,root,root) %{_libdir}/postfix/libpostfix-master.so
%attr(755,root,root) %{_libdir}/postfix/libpostfix-tls.so
%attr(755,root,root) %{_libdir}/postfix/libpostfix-util.so
%dir %{_libdir}/postfix/sbin
%attr(755,root,root) %{_libdir}/postfix/sbin/anvil
%attr(755,root,root) %{_libdir}/postfix/sbin/bounce
%attr(755,root,root) %{_libdir}/postfix/sbin/cleanup
%attr(755,root,root) %{_libdir}/postfix/sbin/discard
%attr(755,root,root) %{_libdir}/postfix/sbin/dnsblog
%attr(755,root,root) %{_libdir}/postfix/sbin/error
%attr(755,root,root) %{_libdir}/postfix/sbin/flush
%attr(755,root,root) %{_libdir}/postfix/sbin/lmtp
%attr(755,root,root) %{_libdir}/postfix/sbin/local
%attr(755,root,root) %{_libdir}/postfix/sbin/master
%attr(755,root,root) %{_libdir}/postfix/sbin/nqmgr
%attr(755,root,root) %{_libdir}/postfix/sbin/oqmgr
%attr(755,root,root) %{_libdir}/postfix/sbin/pickup
%attr(755,root,root) %{_libdir}/postfix/sbin/pipe
%attr(755,root,root) %{_libdir}/postfix/sbin/postfix-script
%attr(755,root,root) %{_libdir}/postfix/sbin/postfix-tls-script
%attr(755,root,root) %{_libdir}/postfix/sbin/postfix-wrapper
%attr(755,root,root) %{_libdir}/postfix/sbin/post-install
%attr(755,root,root) %{_libdir}/postfix/sbin/postlogd
%attr(755,root,root) %{_libdir}/postfix/sbin/postmulti-script
%attr(755,root,root) %{_libdir}/postfix/sbin/postscreen
%attr(755,root,root) %{_libdir}/postfix/sbin/proxymap
%attr(755,root,root) %{_libdir}/postfix/sbin/qmgr
%attr(755,root,root) %{_libdir}/postfix/sbin/qmqpd
%attr(755,root,root) %{_libdir}/postfix/sbin/scache
%attr(755,root,root) %{_libdir}/postfix/sbin/showq
%attr(755,root,root) %{_libdir}/postfix/sbin/smtp
%attr(755,root,root) %{_libdir}/postfix/sbin/smtpd
%attr(755,root,root) %{_libdir}/postfix/sbin/spawn
%attr(755,root,root) %{_libdir}/postfix/sbin/tlsmgr
%attr(755,root,root) %{_libdir}/postfix/sbin/tlsproxy
%attr(755,root,root) %{_libdir}/postfix/sbin/trivial-rewrite
%attr(755,root,root) %{_libdir}/postfix/sbin/verify
%attr(755,root,root) %{_libdir}/postfix/sbin/virtual
%attr(755,root,root) %dir %{_var}/spool/postfix
%attr(700,postfix,root) %dir %{_var}/spool/postfix/active
%attr(700,postfix,root) %dir %{_var}/spool/postfix/bounce
%attr(700,postfix,root) %dir %{_var}/spool/postfix/corrupt
%attr(700,postfix,root) %dir %{_var}/spool/postfix/defer
%attr(700,postfix,root) %dir %{_var}/spool/postfix/deferred
%attr(700,postfix,root) %dir %{_var}/spool/postfix/incoming
%attr(1730,postfix,maildrop) %dir %{_var}/spool/postfix/maildrop
%attr(755,root,root) %dir %{_var}/spool/postfix/pid
%attr(700,postfix,root) %dir %{_var}/spool/postfix/private
%attr(710,postfix,maildrop) %dir %{_var}/spool/postfix/public
%attr(700,postfix,root) %dir %{_var}/spool/postfix/saved
%attr(644,postfix,root) %{_var}/spool/postfix/.nofinger
%attr(700,postfix,root) %{_var}/lib/postfix
%{_mandir}/man1/mailq.1*
%{_mandir}/man1/newaliases.1*
%{_mandir}/man1/post*.1*
%{_mandir}/man1/sendmail.1*
%{_mandir}/man5/access.5*
%{_mandir}/man5/aliases.5*
%{_mandir}/man5/body_checks.5*
%{_mandir}/man5/bounce.5*
%{_mandir}/man5/canonical.5*
%{_mandir}/man5/cidr_table.5*
%{_mandir}/man5/generic.5*
%{_mandir}/man5/header_checks.5*
%{_mandir}/man5/lmdb_table.5*
%{_mandir}/man5/master.5*
%{_mandir}/man5/memcache_table.5*
%{_mandir}/man5/nisplus_table.5*
%{_mandir}/man5/postconf.5*
%{_mandir}/man5/postfix-wrapper.5*
%{_mandir}/man5/regexp_table.5*
%{_mandir}/man5/relocated.5*
%{_mandir}/man5/socketmap_table.5*
%{_mandir}/man5/tcp_table.5*
%{_mandir}/man5/transport.5*
%{_mandir}/man5/virtual.5*
%{_mandir}/man8/*.8*

%files devel
%defattr(644,root,root,755)
%{_includedir}/postfix

%if %{with cdb}
%files dict-cdb
%attr(755,root,root) %{_libdir}/postfix/postfix-cdb.so
%endif

%if %{with ldap}
%files dict-ldap
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/postfix/postfix-ldap.so
%{_mandir}/man5/ldap_table.5*
%endif

%if %{with lmdb}
%files dict-lmdb
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/postfix/postfix-lmdb.so
%{_mandir}/man5/lmdb_table.5*
%endif

%if %{with mysql}
%files dict-mysql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/postfix/postfix-mysql.so
%{_mandir}/man5/mysql_table.5*
%endif

%files dict-pcre
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/postfix/postfix-pcre.so
%{_mandir}/man5/pcre_table.5*

%if %{with pgsql}
%files dict-pgsql
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/postfix/postfix-pgsql.so
%{_mandir}/man5/pgsql_table.5*
%endif

%if %{with sqlite}
%files dict-sqlite
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/postfix/postfix-sqlite.so
%{_mandir}/man5/sqlite_table.5*
%endif

%files qshape
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/qshape
%{_mandir}/man1/qshape.1*

%files -n monit-rc-%{name}
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/monit/%{name}.monitrc
%changelog
* Wed Feb 19 2025 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/postfix.git;a=log;h=master

* Wed Feb 19 2025 Marcin Krol <hawk@tld-linux.org> 01acd4e
- updated to 3.10.0

* Sun Dec 22 2024 Marcin Krol <hawk@tld-linux.org> de99fe6
- updated to 3.9.1

* Tue May 14 2024 Bartosz Świątek <shadzik@tld-linux.org> a70e23e
- Up to 3.9.0

* Sun Mar 31 2024 Marcin Krol <hawk@tld-linux.org> 6f17b0f
- updated to 3.8.6

* Fri Dec 08 2023 Marcin Krol <hawk@tld-linux.org> 055f2dd
- updated to 3.8.3

* Sun Oct 15 2023 Marcin Krol <hawk@tld-linux.org> bdb6287
- updated to 3.8.2

* Thu Aug 03 2023 Bartosz Świątek <shadzik@tld-linux.org> 38386a0
- rel 2

* Thu Aug 03 2023 Bartosz Świątek <shadzik@tld-linux.org> efd326d
- add lmdb-devel BR

* Sun Jul 09 2023 Marcin Krol <hawk@tld-linux.org> d6aaa48
- updated to 3.8.1, dropped duplicate trigger, rediffed patch 1

* Tue May 16 2023 Marcin Krol <hawk@tld-linux.org> d0801a5
- .proto config files are required for setting up multi instance postfix

* Mon May 15 2023 Marcin Krol <hawk@tld-linux.org> 52f315f
- updated to 3.8.0, separated shlib and daemon directories
- merged build updates and dict-{cdb,lmdb} subpackages from PLD

* Wed Feb 08 2023 Marcin Krol <hawk@tld-linux.org> dceecf7
- updated to 3.7.4

* Tue Dec 06 2022 Bartosz Świątek <shadzik@tld-linux.org> 225f2ff
- UP to 3.7.3

* Sat May 28 2022 Marcin Krol <hawk@tld-linux.org> 409ccf1
- updated to 3.7.2

* Wed Apr 27 2022 Bartosz Świątek <shadzik@tld-linux.org> ea27e6b
- Up to 3.7.1

* Mon Apr 04 2022 Marcin Krol <hawk@tld-linux.org> 6ec72ab
- rediffed patches

* Fri Mar 18 2022 Bartosz Świątek <shadzik@tld-linux.org> 70f437f
- Up to 3.7.0

* Fri Mar 18 2022 Bartosz Świątek <shadzik@tld-linux.org> 54bf3e7
- up to 3.6.5

* Tue Jan 25 2022 Bartosz Świątek <shadzik@tld-linux.org> 98b7434
- Merge branch 'master' of git://git.tld-linux.org/packages/postfix

* Tue Jan 25 2022 Bartosz Świątek <shadzik@tld-linux.org> f5d96e5
- Up to 2.6.4

